Retrieve orders
Retrieves orders.
Authorizations
API key used to authenticate and authorise every request.
Include it in the x-api-key header.
Headers
Defines the response type.
application/vnd.Creative Force.v2.3+json, application/vnd.Creative Force.v2.3+xml Defines the languages included in the response. If non are provided, the account default language is returned.
Value all overrides any other values present.
You can request multiple languages using a comma-separated string of languages.
The selected language must be supported by your account or a 400 error is returned.
all, ar_AR, bg_BG, bn_IN, ca_ES, cs_CZ, cy_GB, da_DK, de_DE, en_GB, en_US, el_GR, es_NN, es_LA, et_EE, fa_NN, fi_FI, fr_FR, fr_CA, he_IL, hi_IN, hr_HR, hu_HU, hy_AM, it_IT, ja_JP, ko_KR, lt_LT, ms_MY, nl_NL, nb_NO, pl_PL, pt_BR, ro_RO, ru_RU, sk_SK, sl_SI, sq_AL, sr_RS, sv_SE, sw_NN, th_TH, tr_TR, uk_UA, vi_VN, zh_CN, zh_HK Query Parameters
Filter by order status.
paid, awaiting_payment Filter by test order visibility.
only- Show only test orders.hide- Exclude test orders.
only, hide Filter by season slug.
Use all to show all seasons.
Filter by deletion mode.
only- Show only deleted resources.included- Include deleted resources.none- Exclude deleted resources.
only, included, none Specify the page number to return.
Limit the number of items returned to between 1 and 100.
If you provide a value outside this range, you will receive a 400 response.
Sort by a supported order field.
created_at, invoice_number, payment_method, payment_status, season, total Sort in ascending or descending order. Invalid values are rejected with 400 Bad Request.
asc, desc Response
Orders retrieved.
Paginated list of orders.
Wraps the orders in data alongside the standard pagination envelope.
Number of the page returned by this response. The first page is 1.
URL of the first page in the result set. Relative when the requested page is beyond the last page.
Position of the first record on this page within the full result set. The first record is at position 1. null when the requested page is beyond the last page.
Number of the last page. Equals the total number of pages.
URL of the last page in the result set. Relative when the requested page is beyond the last page.
URL of the next page in the result set.
Empty string when the current page is the last page.
Canonical URL of the endpoint, without query parameters.
Maximum number of records returned per page.
1 <= x <= 100URL of the previous page in the result set.
Empty string when the current page is the first page.
Position of the last record on this page within the full result set. null when the requested page is beyond the last page.
Total number of records across all pages.
Orders for the current page.